Skip to main content
POST
/
api
/
v1
/
search
/
text-store
/
stores
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.search.textStore.createTextStore({
    xApiKeyId: "<id>",
    xUserId: "<id>",
    xExchangeJwtExternalUserId: "<id>",
    createTextStoreRequest: {
      storeName: "product_catalog",
      dimension: 3,
    },
  });

  console.log(result);
}

run();
{
  "message": "Text store created successfully",
  "store_name": "product_catalog"
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

x-api-key-id
string
required
x-user-id
string
required
x-exchange-jwt-external-user-id
string
required

Body

application/json

Request to create a new text store.

store_name
string
required

Name of the text store

Minimum string length: 1
dimension
integer
required

Dimension of the embedding vectors

Required range: x >= 1

Response

Successful Response

Response after creating a text store.

store_name
string
required

Name of the created text store

message
string
required

Operation status message